Subject: Re: Starting Apache for Cygwin as a service
From: Andrew DeFaria <[email-masked]>
To: [email-masked]
Date: Fri, 09 Aug 2002 13:24:47 -0700
Newsgroups: gmane.os.cygwin

Corinna Vinschen wrote:

> On Thu, Aug 08, 2002 at 04:28:47PM -0700, Andrew DeFaria wrote:
>
>> Stephen C. Biggs wrote:
>>
>>> I think I can answer this one, maybe, from the scars I have trying to
>>> get sshd to work on my machine.
>>>
>>> Make sure that you pass an argument to the apache executable so it
>>> doesn't fork itself when it first starts up, much like -D for sshd. I
>>> don't know the right option for Apache, and can't take the time right
>>> now to look, but I'll bet that this is what is happening.
>>
>> Yeah that's what's happening. The problem is that apache doesn't have
>> any equivalent to -D as sshd has.
>
>
> You mean the -k option added since apache-1.3.24-3?

Hmmm...

$ httpd -v
Server version: Apache/1.3.24 (Cygwin)
Server built:   Apr 27 2002 13:23:27

$ man httpd
httpd(8)                                                 httpd(8)

NAME
       httpd - Apache hypertext transfer protocol server

SYNOPSIS
       httpd [ -X ] [ -R libexecdir ] [ -d serverroot ] [ -f con-
       fig ] [ -C directive ] [ -c directive ] [ -D parameter ]

       httpd [ -h ] [ -l ] [ -L ] [ -v ] [ -V ] [ -S ] [ -t  ]  [
       -T ]

DESCRIPTION
       httpd  is  the  Apache  HyperText Transfer Protocol (HTTP)
       server program. It is designed to be run as  a  standalone
       daemon  process. When used like this it will create a pool
       of child processes to handle requests. To stop it, send  a
       TERM  signal  to  the initial (parent) process. The PID of
       this process is written to a file as given in the configu-
       ration  file.   Alternatively  httpd may be invoked by the
       Internet daemon inetd(8) each time  a  connection  to  the
       HTTP service is made.

Don't see a -k option. Perhaps I need to find the "-3" version of Apache 
for Cygwin. It's funny because my local installation seems to have 
1.3.24-5. Man page bug? What exactly does -k do? (Just tried it and it 
seems to solve the problem beautifully)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/